curl --request POST \
--url https://api.vantage.sh/v2/billing_profiles \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"nickname": "<string>",
"billing_information_attributes": {
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": [
"<string>"
]
},
"business_information_attributes": {
"token": "<string>",
"metadata": {
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"banking_information_attributes": {
"token": "<string>",
"bank_name": "<string>",
"beneficiary_name": "<string>",
"tax_id": "<string>",
"secure_data": {
"account_number": "<string>",
"routing_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
}
},
"invoice_adjustment_attributes": {
"token": "<string>",
"adjustment_items": [
{
"name": "<string>",
"amount": 123,
"adjustment_type": "charge"
}
]
}
}
'import requests
url = "https://api.vantage.sh/v2/billing_profiles"
payload = {
"nickname": "<string>",
"billing_information_attributes": {
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": ["<string>"]
},
"business_information_attributes": {
"token": "<string>",
"metadata": { "custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
] }
},
"banking_information_attributes": {
"token": "<string>",
"bank_name": "<string>",
"beneficiary_name": "<string>",
"tax_id": "<string>",
"secure_data": {
"account_number": "<string>",
"routing_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
}
},
"invoice_adjustment_attributes": {
"token": "<string>",
"adjustment_items": [
{
"name": "<string>",
"amount": 123,
"adjustment_type": "charge"
}
]
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
nickname: '<string>',
billing_information_attributes: {
token: '<string>',
company_name: '<string>',
country_code: '<string>',
address_line_1: '<string>',
address_line_2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
billing_email: ['<string>']
},
business_information_attributes: {
token: '<string>',
metadata: {custom_fields: [{name: '<string>', value: '<string>'}]}
},
banking_information_attributes: {
token: '<string>',
bank_name: '<string>',
beneficiary_name: '<string>',
tax_id: '<string>',
secure_data: {
account_number: '<string>',
routing_number: '<string>',
iban: '<string>',
swift_bic: '<string>'
}
},
invoice_adjustment_attributes: {
token: '<string>',
adjustment_items: [{name: '<string>', amount: 123, adjustment_type: 'charge'}]
}
})
};
fetch('https://api.vantage.sh/v2/billing_profiles', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"token": "<string>",
"nickname": "<string>",
"created_at": "2023-08-04T00:00:00Z",
"updated_at": "2023-08-04T00:00:00Z",
"billing_information_attributes": {
"token": "<string>",
"company_name": "<string>",
"country_code": "<string>",
"address_line_1": "<string>",
"address_line_2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"billing_email": [
"<string>"
]
},
"business_information_attributes": {
"token": "<string>",
"metadata": {
"custom_fields": [
{
"name": "<string>",
"value": "<string>"
}
]
}
},
"invoice_adjustment_attributes": {
"token": "<string>",
"adjustment_items": [
{
"name": "<string>",
"amount": "<string>"
}
]
},
"managed_accounts_count": "<string>",
"banking_information_attributes": {
"token": "<string>",
"bank_name": "<string>",
"beneficiary_name": "<string>",
"tax_id": "<string>",
"secure_data": {
"account_number": "<string>",
"routing_number": "<string>",
"iban": "<string>",
"swift_bic": "<string>"
}
}
}{
"errors": [
"<string>"
],
"links": {
"self": "<string>",
"first": "<string>",
"next": "<string>",
"last": "<string>",
"prev": "<string>"
}
}Create billing profile
Create a billing profile (MSP invoicing required).
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
Create a billing profile (MSP invoicing required).
Display name for the billing profile
Billing address and contact information
Show child attributes
Show child attributes
Business information and custom fields
Show child attributes
Show child attributes
Banking details (MSP accounts only)
Show child attributes
Show child attributes
Invoice adjustments (taxes, fees, etc.)
Show child attributes
Show child attributes
Response
BillingProfile model
Display name for the billing profile
The date and time, in UTC, the billing profile was created. ISO 8601 formatted.
"2023-08-04T00:00:00Z"
The date and time, in UTC, the billing profile was last updated. ISO 8601 formatted.
"2023-08-04T00:00:00Z"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Number of managed accounts using this billing profile
Show child attributes
Show child attributes